## org.eclipse.jst.jsf.facesconfig.emf.impl
Class IconTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.IconTypeImpl

All Implemented Interfaces:
  IconType

    public class IconTypeImpl

extends EObjectImpl
implements IconType

An implementation of the model object 'Icon Type'.

The following features are implemented:

- `Small Icon`
- `Large Icon`
- `Lang`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetLargeIcon(LargeIconType newLargeIcon, NotificationChain msgs)`
`NotificationChain` `basicSetSmallIcon(SmallIconType newSmallIcon, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`java.lang.String` `getLang()`
`LargeIconType` `getLargeIcon()`
`SmallIconType` `getSmallIcon()`
`void` `setId(java.lang.String newId)`
`void` `setLang(java.lang.String newLang)`
`void` `setLargeIcon(LargeIconType newLargeIcon)`
`void` `setSmallIcon(SmallIconType newSmallIcon)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSmallIcon

    public SmallIconType getSmallIcon()

  Specified by:
    `getSmallIcon` in interface `IconType`
  Returns:
    the value of the 'Small Icon' containment reference.
  See Also:
    `IconType.setSmallIcon(SmallIconType)`, `FacesConfigPackage.getIconType_SmallIcon()`

### basicSetSmallIcon

    public NotificationChain basicSetSmallIcon(SmallIconType newSmallIcon,
                                               NotificationChain msgs)

  Parameters:
    `newSmallIcon` -
    `msgs` -
  Returns:
    the notification chain

### setSmallIcon

    public void setSmallIcon(SmallIconType newSmallIcon)

  Specified by:
    `setSmallIcon` in interface `IconType`
  Parameters:
    `newSmallIcon` - the new value of the 'Small Icon' containment reference.
  See Also:
    `IconType.getSmallIcon()`

### getLargeIcon

    public LargeIconType getLargeIcon()

  Specified by:
    `getLargeIcon` in interface `IconType`
  Returns:
    the value of the 'Large Icon' containment reference.
  See Also:
    `IconType.setLargeIcon(LargeIconType)`, `FacesConfigPackage.getIconType_LargeIcon()`

### basicSetLargeIcon

    public NotificationChain basicSetLargeIcon(LargeIconType newLargeIcon,
                                               NotificationChain msgs)

  Parameters:
    `newLargeIcon` -
    `msgs` -
  Returns:
    the notification chain

### setLargeIcon

    public void setLargeIcon(LargeIconType newLargeIcon)

  Specified by:
    `setLargeIcon` in interface `IconType`
  Parameters:
    `newLargeIcon` - the new value of the 'Large Icon' containment reference.
  See Also:
    `IconType.getLargeIcon()`

### getLang

    public java.lang.String getLang()

  Specified by:
    `getLang` in interface `IconType`
  Returns:
    the value of the 'Lang' attribute.
  See Also:
    `IconType.setLang(String)`, `FacesConfigPackage.getIconType_Lang()`

### setLang

    public void setLang(java.lang.String newLang)

  Specified by:
    `setLang` in interface `IconType`
  Parameters:
    `newLang` - the new value of the 'Lang' attribute.
  See Also:
    `IconType.getLang()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `IconType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `IconType.setId(String)`, `FacesConfigPackage.getIconType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `IconType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `IconType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()